using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class SegmentName3 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "DefaultSegmentName",
                table: "ReadingQuestionCriterionTrial",
                type: "nvarchar(max)",
                nullable: false,
                defaultValue: "{\"SegmentationName\":\"\",\"SegmentNameList\":[]}");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "DefaultSegmentName",
                table: "ReadingQuestionCriterionTrial");
        }
    }
}
